IvyCleanCache
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.ant
Class IvyCleanCache

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.ivy.ant.IvyTask
                  org.apache.ivy.ant.IvyCleanCache

All Implemented Interfaces:
  java.lang.Cloneable

    public class IvyCleanCache

extends IvyTask

Cleans the content of Ivy cache(s).

Field Summary
`static java.lang.String` | `ALL`
`static java.lang.String` | `NONE`

Fields inherited from class org.apache.ivy.ant.IvyTask
`ANT_PROJECT_CONTEXT_KEY`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`IvyCleanCache()`

Method Summary
`void` | `doExecute()` The real logic of task execution after project has been set in the context.
`java.lang.String` | `getCache()`
`boolean` | `isResolution()`
`void` | `setCache(java.lang.String cache)` Sets the name of the repository cache to clean, '*' for all caches, 'NONE' for no repository cache cleaning at all.
`void` | `setResolution(boolean resolution)` Sets weither the resolution cache should be cleaned or not.

Methods inherited from class org.apache.ivy.ant.IvyTask
`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, prepareTask, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL

    public static final java.lang.String ALL

See Also:
  Constant Field Values

### NONE

    public static final java.lang.String NONE

See Also:
  Constant Field Values

Constructor Detail

### IvyCleanCache

    public IvyCleanCache()

Method Detail

### getCache

    public java.lang.String getCache()

### setCache

    public void setCache(java.lang.String cache)

  Sets the name of the repository cache to clean, '*' for all caches, 'NONE' for no repository cache cleaning at all.

  Parameters:
    `cache` - the name of the cache to clean. Must not be `null`.

### isResolution

    public boolean isResolution()

### setResolution

    public void setResolution(boolean resolution)

  Sets weither the resolution cache should be cleaned or not.

  Parameters:
    `resolution` - `true` if the resolution cache should be cleaned, `false` otherwise.

### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

  Description copied from class: `IvyTask`
  The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

  Specified by:
    `doExecute` in class `IvyTask`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD